Language.Haskell.GhcMod.Internal

# Types

type GHCOption

type IncludeDir

data GmlT m a

class MonadIO m

class GmEnv m

# Various Paths

ghcLibDir

ghcModExecutable

# Logging

withLogger

setNoWarningFlags

setAllWarningFlags

# Environment, state and logging

data GhcModEnv

data GhcModState

data GhcModLog

class GmLog m

data GmLogLevel

gmSetLogLevel

# Monad utilities

runGhcModT'

hoistGhcModT

runGmlT

runGmlT'

gmlGetSession

gmlSetSession

loadTargets

cabalResolvedComponents

## Accessing `GhcModEnv` and `GhcModState`

options

cradle

targetGhcOptions

withOptions

# `GhcModError`

gmeDoc

# World

data World

getCurrentWorld

didWorldChange

# Cabal Helper

data ModulePath

data GmComponent t eps

data GmComponentType

data GmModuleGraph

prepareCabalHelper

# Misc stuff

data GHandler m a

gcatches

# FileMapping